Subject: Re: git gui blame: git-blame loops at 100% cpu

From: Konrad Karl <[email-masked]>
Date: Sun, 18 Apr 2010 23:52:10 +0200

Replying to myself

> Everything seems to be working fine but git gui blame some_file seems to
> procedure correct output in the file viewer but the progress bar stops 
> at 1271 of 2783 lines for one specific file and then the git-blame process
> consumes 100% cpu. 

Grr, this was a false alarm. It finishes after about 4 Minutes and I
did not wait that long. git gui was using git-blame -C -C40.

gui.fastcopyblame=true seems to help to get sane runtimes.
(this can be achieved by checkin "Blame Copy Only On Changed Files"
 in git gui options dialog -kudos to charon in #git for this suggestion)

Perhaps this should be made the default?

Konrad